Whamcloud - gitweb
Try to avoid a race where two rpmbuilds on the same node are trying to stage
[fs/lustre-release.git] / build / lmake
index 120bea3..4aa15d2 100755 (executable)
@@ -10,6 +10,7 @@ TARGET_ARCH=
 TARGET_CONFIG=
 JOBS=1
 CONFIGURE_FLAGS=
+TMPDIR=${TMPDIR:-"/var/tmp"}
 
 # commands to run
 BUILD_LUSTRE=0
@@ -394,7 +395,8 @@ depend_kernel()
         #timed_run 300 $TOPDIR/build/update_oldconfig $logfile
         #local RC=${PIPESTATUS[0]}
         #local RC=$(strace -f -o update_oldconfig.strace bash -c "$TOPDIR/build/update_oldconfig $logfile; echo \$?")
-        local RC=$($TOPDIR/build/update_oldconfig $logfile; echo \$?)
+        $TOPDIR/build/update_oldconfig $logfile
+        local RC=${PIPESTATUS[0]}
         #$TOPDIR/build/update_oldconfig $logfile
         #local RC=${PIPESTATUS[0]}
         if [ $RC -eq 143 ]; then
@@ -491,6 +493,7 @@ build_lustre()
        < build/lustre.spec.in \
        > build/lustre.spec
     $RPMBUILD --target ${TARGET_ARCH} -bb build/lustre.spec \
+        --define "_tmpdir $TMPDIR" \
        --define "_topdir $(lbuild_topdir)" || \
        fatal 1 "Error building Lustre rpms."
     # $MAKE_J "$MAKE_CC" || fatal 1 "Error building Lustre."